Bug 89638 - oaf-slay does not function properly
oaf-slay does not function properly
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: oaf (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-25 09:27 EDT by Shawn M. Jones
Modified: 2007-04-18 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 00:07:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn M. Jones 2003-04-25 09:27:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Sometimes, when evolution hangs (seems like it doesn't handle IMAPS so well), I
have to kill it with the 'killev' command.  I also run 'oaf-slay' in order to
terminate the oafd processes it runs.

I get the following error from running oaf-slay:
panic: end_shift at /usr/bin/oaf-slay line 138.

and the oafd process continues to run.  I also get this error if I try runnining
oaf-slay for any other reason (i.e. to list processes).

In short, oaf-slay doesn't seem to work at all.

Version-Release number of selected component (if applicable):
oaf-0.6.10-5

How reproducible:
Always

Steps to Reproduce:
1.  Start evolution (which starts oafd)
2.  Execute 'killev' on the command line interface of your choice (which kills
all the evolution processes)
3.  Execute 'oaf-slay' on the command line interface of your choice

Viola!  It doesn't work.
    

Actual Results:  I get the following error from running oaf-slay:
panic: end_shift at /usr/bin/oaf-slay line 138.

Expected Results:  oaf-slay should have killed the oafd process and NOT
generated an error message.

Additional info:

I have found this on two installations of Red Hat Linux 9, both different x86
architectures (one is an Athlon, the other is a P4).  Both have different
package lists installed.  Both use evolution to attach to different mail
servers, so it seems that this is definitely a bug in oaf itself and not just
the system configuration.
Comment 1 Jason Edgecombe 2003-05-22 09:58:03 EDT
I have this same problem. Platform, Intel Pentium 4.
Comment 2 Víctor Martínez-Moll 2003-06-25 07:19:02 EDT
I have the same problem.
Platform AMD Athlon
Evolution does not start after a gnome logout.
If then I truy to run oaf-slay, I get:
panic: end_shift at /usr/bin/oaf-slay line 138
Comment 3 Alfonso Landin 2003-07-14 07:38:48 EDT
I get the same output from oaf-slay. Except if i execute it with the -h option,
when i get the usage message. Any other options results in the same output.

bonobo-slay has the same problem, but with a different line number. Except if i
give a regex at the input. But with the '*' regexp and -l i get a "No
processes." ouput (dont know if this is the correct behavior, evolution and
nautilus are running). Any option other than -h w/out a regex wil result in the
next output:

panic: end_shift at /usr/bin/bonobo-slay line 147.
Comment 4 Havoc Pennington 2003-10-09 00:07:03 EDT
Evolution in rawhide uses bonobo-activation instead and seems to work fine for me.

Note You need to log in before you can comment on or make changes to this bug.